org.apache.uima.adapter.jms.activemq

## Class JmsEndpointConnection_impl

- java.lang.Object
- - org.apache.uima.adapter.jms.activemq.JmsEndpointConnection_impl

- All Implemented Interfaces:
    org.apache.activemq.advisory.ConsumerListener

      public class JmsEndpointConnection_impl
      extends Object
      implements org.apache.activemq.advisory.ConsumerListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static long` | `connectionCreationTimestamp`
    `protected org.apache.uima.aae.controller.AnalysisEngineController` | `controller`
    `protected org.apache.uima.aae.controller.Endpoint` | `delegateEndpoint`
    `protected javax.jms.Destination` | `destination`
    `protected boolean` | `isReplyEndpoint`
    `protected AtomicLong` | `lastDispatchTimestamp`
    `protected javax.jms.Session` | `producerSession`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmsEndpointConnection_impl(JmsOutputChannel.BrokerConnectionEntry aBrokerDestinationMap, org.apache.uima.aae.controller.Endpoint anEndpoint, org.apache.uima.aae.controller.AnalysisEngineController aController)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `abort()`
    `void` | `close()`
    `protected static boolean` | `connectionClosedOrFailed(JmsOutputChannel.BrokerConnectionEntry aBrokerDestinationMap)`
    `org.apache.activemq.AsyncCallback` | `createAMQCallbackListener(int command, javax.jms.Message aMessage)`
    `protected void` | `finalize()`
    `protected String` | `getEndpoint()`
    `protected String` | `getServerUri()`
    `boolean` | `isOpen()`
    `boolean` | `isRetryEnabled()`
    `void` | `onConsumerEvent(org.apache.activemq.advisory.ConsumerEvent arg0)`
    `void` | `open()`
    `void` | `open(String anEndpointName, String brokerUri)`
    `javax.jms.BytesMessage` | `produceByteMessage(byte[] aSerializedCAS)`
    `javax.jms.ObjectMessage` | `produceObjectMessage()`
    `javax.jms.TextMessage` | `produceTextMessage(String aTextMessage)`
    `boolean` | `send(javax.jms.Message aMessage, long msgSize, boolean startTimer)`
    `boolean` | `send(javax.jms.Message aMessage, long msgSize, boolean startTimer, boolean failOnJMSException)`
    `protected void` | `setDelegateEndpoint(org.apache.uima.aae.controller.Endpoint delegateEndpoint)`
    `protected void` | `setEndpoint(String endpoint)`
    `void` | `setRetryEnabled(boolean retryEnabled)`
    `protected void` | `setServerUri(String serverUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lastDispatchTimestamp

          protected AtomicLong lastDispatchTimestamp

    - #### destination

          protected javax.jms.Destination destination

    - #### producerSession

          protected javax.jms.Session producerSession

    - #### delegateEndpoint

          protected org.apache.uima.aae.controller.Endpoint delegateEndpoint

    - #### controller

          protected org.apache.uima.aae.controller.AnalysisEngineController controller

    - #### connectionCreationTimestamp

          protected static long connectionCreationTimestamp

    - #### isReplyEndpoint

          protected boolean isReplyEndpoint

  - ### Constructor Detail

    - #### JmsEndpointConnection_impl

          public JmsEndpointConnection_impl(JmsOutputChannel.BrokerConnectionEntry aBrokerDestinationMap,
                                            org.apache.uima.aae.controller.Endpoint anEndpoint,
                                            org.apache.uima.aae.controller.AnalysisEngineController aController)

  - ### Method Detail

    - #### isRetryEnabled

          public boolean isRetryEnabled()

    - #### setRetryEnabled

          public void setRetryEnabled(boolean retryEnabled)

    - #### isOpen

          public boolean isOpen()

    - #### connectionClosedOrFailed

          protected static boolean connectionClosedOrFailed(JmsOutputChannel.BrokerConnectionEntry aBrokerDestinationMap)

    - #### open

          public void open()
                    throws org.apache.uima.aae.error.AsynchAEException,
                           org.apache.uima.aae.error.ServiceShutdownException,
                           ConnectException

      Throws:
        `org.apache.uima.aae.error.AsynchAEException`
        `org.apache.uima.aae.error.ServiceShutdownException`
        `ConnectException`

    - #### open

          public void open(String anEndpointName,
                           String brokerUri)
                    throws org.apache.uima.aae.error.AsynchAEException,
                           org.apache.uima.aae.error.ServiceShutdownException,
                           ConnectException

      Throws:
        `org.apache.uima.aae.error.AsynchAEException`
        `org.apache.uima.aae.error.ServiceShutdownException`
        `ConnectException`

    - #### abort

          public void abort()

    - #### close

          public void close()
                     throws Exception

      Throws:
        `Exception`

    - #### getEndpoint

          protected String getEndpoint()

    - #### setEndpoint

          protected void setEndpoint(String endpoint)

    - #### setDelegateEndpoint

          protected void setDelegateEndpoint(org.apache.uima.aae.controller.Endpoint delegateEndpoint)

    - #### getServerUri

          protected String getServerUri()

    - #### setServerUri

          protected void setServerUri(String serverUri)

    - #### produceTextMessage

          public javax.jms.TextMessage produceTextMessage(String aTextMessage)
                                                   throws org.apache.uima.aae.error.AsynchAEException,
                                                          ConnectException

      Throws:
        `org.apache.uima.aae.error.AsynchAEException`
        `ConnectException`

    - #### produceByteMessage

          public javax.jms.BytesMessage produceByteMessage(byte[] aSerializedCAS)
                                                    throws org.apache.uima.aae.error.AsynchAEException,
                                                           ConnectException

      Throws:
        `org.apache.uima.aae.error.AsynchAEException`
        `ConnectException`

    - #### produceObjectMessage

          public javax.jms.ObjectMessage produceObjectMessage()
                                                       throws org.apache.uima.aae.error.AsynchAEException

      Throws:
        `org.apache.uima.aae.error.AsynchAEException`

    - #### send

          public boolean send(javax.jms.Message aMessage,
                              long msgSize,
                              boolean startTimer)

    - #### send

          public boolean send(javax.jms.Message aMessage,
                              long msgSize,
                              boolean startTimer,
                              boolean failOnJMSException)

    - #### createAMQCallbackListener

          public org.apache.activemq.AsyncCallback createAMQCallbackListener(int command,
                                                                             javax.jms.Message aMessage)
                                                                      throws Exception

      Throws:
        `Exception`

    - #### onConsumerEvent

          public void onConsumerEvent(org.apache.activemq.advisory.ConsumerEvent arg0)

      Specified by:
        `onConsumerEvent` in interface `org.apache.activemq.advisory.ConsumerListener`

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Object`
      Throws:
        `Throwable`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.